//	LogFile.cpp - Simple log file class.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "FilePath.h"
#include "LogFile.h"

#include <sstream>
#include <ctime>

//------------------------------------------------------------------------------
LogFile::LogFile(const std::wstring& name)
{
	std::wstringstream tempstr;

	tempstr << name << time(NULL) << L".txt";
	FilePath tempPath(FilePath::getHomeDir().getChild(tempstr.str()));

	logFile.setFilePath(tempPath);
}

//------------------------------------------------------------------------------
LogFile::~LogFile()
{

}

//------------------------------------------------------------------------------
void LogFile::write(const std::wstring& text)
{
	if(!logFile.getFail())
		logFile.writeText(text, true);
}

//------------------------------------------------------------------------------
void LogFile::write(const std::string& text)
{
	if(!logFile.getFail())
	{
		std::wstring tempstr;

		UTF8File::charToWstring(text, tempstr);
		logFile.writeText(tempstr, true);
	}
}
